gss_release_oid_set(3)

NAME
gss_release_oid_set - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_release_oid_set(OM_uint32 * minor_status, gss_OID_set * set);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

gss_OID_set * set
    (Set of Object IDs, modify) The storage associated with the
      gss_OID_set will be deleted.

DESCRIPTION
Free storage associated with a GSSAPI-generated gss_OID_set object. The set parameter must refer to an OID-set that was returned from a GSS-API routine. gss_release_oid_set() will free the storage associated with each individual member OID, the OID set's elements array, and the gss_OID_set_desc.

The gss_OID_set parameter is set to GSS_C_NO_OID_SET on successful completion of this routine.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.